Subject: Re: linux-next: build failure after merge of the usb-gadget tree

From: Felipe Balbi <[email-masked]>
Date: Sun, 8 Dec 2013 22:11:52 -0600

Hi,

On Mon, Dec 09, 2013 at 02:58:03PM +1100, Stephen Rothwell wrote:
> Hi Felipe,
> 
> After merging the usb-gadget tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/built-in.o: In function `otg_set_state':
> (.text+0x14f7de): undefined reference to `usb_bus_start_enum'
> 
> CONFIG_USB is 'm' in this build.
> 
> I am not sure what changed to cause this, maybe e1d2e31975e1 ("usb: phy:
> Add OTG FSM configuration option")?
> 
> I have used the usb-gadget tree from next-20131206 for today.

I see what caused it, will fix it up with a patch which should probably
be backported a few kernels back. Thanks for letting me know.

-- 
balbi